#ifndef SYSGLOBALS_H
#define SYSGLOBALS_H

#define mminint         (-32768L) /*unused/ */

/*MINIMUM SHORT INTEGER VALUE*/
#define mmaxint         32767

/*MAXIMUM SHORT INTEGER VALUE*/
#define maxunit         50

/*MAXIMUM PHYSICAL UNIT NUMBER*/
#define passleng        16

/*NUMBER OF CHARS IN A PASSWORD*/
#define vidleng         16

/*NUMBER OF CHARS IN A VOLUME NAME*/
#define tidleng         16

/*NUMBER OF CHARS IN A FILE TITLE*/
#define fidleng         120

/*NUMBER OF CHARS IN FILE NAME*/
#define fblksize        512

/*STANDARD FILE BUFFER LENGTH*/
#define maxsc           63

/*LARGEST SELECT CODE */
#define minlevel        1

/*LOWEST INTERRUPT LEVEL*/
#define maxlevel        6

typedef struct daterec {
    char year;
    unsigned day : 5, month : 4;
} daterec;

typedef struct timerec {
    unsigned hour : 5, minute : 6, centisecond : 13;
} timerec;

typedef struct datetimerec {
    daterec date;
    timerec time;
} datetimerec;

#endif /*SYSGLOBALS_H*/



