#ifndef MAIN_H
#define MAIN_H

#include <graphics/newci.h>
#include <graphics/newcrt.h>
#include "ana/globals.h"
#include "logdef.h"
#include <utils/newasm.h>
#include <graphics/mylib.h>


extern void Analog_Cleanup ();
extern void Analog_GlobalCommand (int *Found, int *Accepted);
extern void Analog_InitVar ();
extern void Analog_Newkind (log_krec *newkindptr);
extern void Analog_Probemode ();
extern void Analog_Refresh ();
extern void Analog_Reset ();
extern void Analog_Setup ();
extern void Analog_Simulate ();
extern void Analog_Status ();
extern void Analog_Systeminit ();
extern void Analog_TechnologyCnf ();

extern void Analog_Tstep ();


#endif /*MAIN_H*/


