#ifndef P2C_STRING_H
#define P2C_STRING_H

#include <utils/p2c.h>

/**
 * Append the second string to the first.
 *
 * \deprecated use strcat instead
 */
void strsafeappend(char *s, char *s2) DEPRECATED;

//void strappendc(char *s, int ch);
char *strupper (char *result, char *s);
char *strlower (char *result, char *s);
char *strpart (char *result, char *s, long fist, long last);
char *strlast (char *result, char *s, size_t num);
char *strreverse (char *result, char*);
//char *strljust (char *result, char *s, long wid);
//char *strrjust (char *result, char *s, long wid);
char *strcjust (char *result, char *s, size_t wid);
int strbegins (char *s1, char *s2);
int strends (char *s1, char *s2);
int strcibegins (char *s1, char *s2);
int strciends (char *s1, char *s2);
int strsubcmp (size_t n, char *s1, size_t i1, char *s2, size_t i2);
int strcisubcmp (size_t n, char *s1, size_t i1, char *s2, size_t i2);
void strsubst (char *repl, char *s, size_t index, size_t size);
char *strint (char *result, long i);
char *strint2 (char *result, long i, long w);
//char *strreal (char *result, double r);
char *strchar (char *result, int ch);
//long strreadint (char *s);
//double strreadreal (char *s);
size_t strposb (char *s1, char *s2, ptrdiff_t i);
size_t strposc (char *s1, char ch, ptrdiff_t i);
size_t strposcset (char *s1, char *s2, size_t i);
size_t strposbcset (char *s1, char *s2, size_t i);
size_t strcipos2 (char *s1, char *s2, size_t i);
size_t strciposb (char *s1, char *s2, size_t i);
//int strcontains (char *s1, char *s2);
int strsubset (char *s1, char *s2);
int strcommon (char *s1, char *s2);
size_t strlenv (char *s);
char *strhex (char * Result, long i, long w);
char *strbinary (char *Result, long i, size_t w);
char *strdate (char *Result, char *opts);
void strword (char *s, char *s2);
void strword2 (char *s, char *s2);
void strcomment (char *s, char* bracket);
void strcompress (char *s, char *chars, int all);
void strdispose (char **sp);
void strchange (char** sp, char *);
void strwordx(char *buf, char *wrd);

/**
 * \deprecated
 */
char *strcpy_overlap(char *dst, char *src) DEPRECATED;

#endif
